# Uses of Interface
org.jmol.atomdata.AtomDataServer

Packages that use AtomDataServer
Package
Description
org.jmol.api
org.jmol.geodesic
org.jmol.jvxl.readers
org.jmol.viewer
org.openscience.jmol.app.janocchio

## Uses of AtomDataServer in org.jmol.api

Methods in org.jmol.api with parameters of type AtomDataServer
Modifier and Type
Method
Description
`JmolEnvCalc`
JmolEnvCalc.`set(AtomDataServer vwr, int ac, short[] mads)`

## Uses of AtomDataServer in org.jmol.geodesic

Methods in org.jmol.geodesic with parameters of type AtomDataServer
Modifier and Type
Method
Description
`EnvelopeCalculation`
EnvelopeCalculation.`set(AtomDataServer vwr, int ac, short[] mads)`

## Uses of AtomDataServer in org.jmol.jvxl.readers

Fields in org.jmol.jvxl.readers declared as AtomDataServer
Modifier and Type
Field
Description
`AtomDataServer`
SurfaceGenerator.`atomDataServer`
Constructors in org.jmol.jvxl.readers with parameters of type AtomDataServer
Modifier
Constructor
Description
``
`SurfaceGenerator(AtomDataServer atomDataServer, MeshDataServer meshDataServer, MeshData meshData, JvxlData jvxlData)`

## Uses of AtomDataServer in org.jmol.viewer

Classes in org.jmol.viewer that implement AtomDataServer
Modifier and Type
Class
Description
`class`
`Viewer`

## Uses of AtomDataServer in org.openscience.jmol.app.janocchio

Classes in org.openscience.jmol.app.janocchio that implement AtomDataServer
Modifier and Type
Class
Description
`class`
`NMR_Viewer`
Implements some lost interfaces.